Subject: Cobalt RAQ 2 woes

From: Bob Dempsey <[email-masked]>
Date: Wed, 21 May 2003 16:50:52 -0500

Okay, I've been trying on and off for weeks now to get ANY 2.4 kernel to run on my Cobalt RAQ 2 recently aquired on EBay for $250. It runs Cobalt's 2.0 kernel just fine, and I've managed to upgrade gcc and binutils to 2.95.4 and 2.13.2.1 respectively. I can build the 2.5.47 kernel out of cvs cleanly, but when it boots I get swap errors like:

swap_dup: Bad swap file entry 4081004e

over and over and over.

The latest 2.4 kernel source from cvs also compiles cleanly, but just hangs.

Both of these kernels die in the execve() call at the end of init/main.c.

My debugging has lead me to believe there is some problem with the tlb, but I could certainly be wrong. Any suggestions?

--
------------------------------------------------------------------------
Bob Dempsey                                     972-866-9199x104(V)
Vice President R&D                              972-866-0179(F)
Transfinity Corp                                [email-masked]
4851 LBJ Freeway                                Dallas, TX 75244